use serde::{Serialize, Deserialize};
use chrono::{DateTime, Utc};
use uuid::Uuid;

#[derive(Debug, Serialize, Deserialize, sqlx::FromRow)]
pub struct User {
    pub id: Option<i32>,
    pub name: String,
    pub password_hash: String,
    pub role: String,
    pub quota: Option<i64>, // bytes
    pub created_at: DateTime<Utc>,
}

#[derive(Debug, Serialize, Deserialize, sqlx::FromRow)]
pub struct File {
    pub id: i32,
    pub user_id: Option<i32>,
    pub original_name: String,
    pub storage_path: String,
    pub uploaded_at: DateTime<Utc>,
    pub size: i64,
}

#[derive(Debug, Serialize, Deserialize, sqlx::FromRow)]
pub struct Share {
    pub id: Uuid,
    pub file_id: Option<i32>,
    pub shared_by: i32,
    pub created_at: DateTime<Utc>,
    pub expires_at: Option<chrono::NaiveDateTime>,
}